Package gov.nasa.gsfc.sscweb.schema

# Enum Class SpaceRegion

java.lang.Object
java.lang.Enum<SpaceRegion>
gov.nasa.gsfc.sscweb.schema.SpaceRegion

All Implemented Interfaces:
  `Serializable`, `Comparable<SpaceRegion>`, `Constable`

public enum SpaceRegion extends Enum<SpaceRegion>
The different regions of space supported by SSC. <p>Java class for SpaceRegion</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="SpaceRegion"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="InterplanetaryMedium"/> <enumeration value="DaysideMagnetosheath"/> <enumeration value="NightsideMagnetosheath"/> <enumeration value="DaysideMagnetosphere"/> <enumeration value="NightsideMagnetosphere"/> <enumeration value="PlasmaSheet"/> <enumeration value="TailLobe"/> <enumeration value="LowLatitudeBoundaryLayer"/> <enumeration value="HighLatitudeBoundaryLayer"/> <enumeration value="DaysidePlasmasphere"/> <enumeration value="NightsidePlasmasphere"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAYSIDE_MAGNETOSHEATH`
  Dayside magnetosheath.
  `DAYSIDE_MAGNETOSPHERE`
  Dayside magnetosphere.
  `DAYSIDE_PLASMASPHERE`
  Dayside plasmasphere.
  `HIGH_LATITUDE_BOUNDARY_LAYER`
  High-latitude boundary layer.
  `INTERPLANETARY_MEDIUM`
  Interplanetary medium.
  `LOW_LATITUDE_BOUNDARY_LAYER`
  Low-latitude boundary layer.
  `NIGHTSIDE_MAGNETOSHEATH`
  Nightside magnetosheath.
  `NIGHTSIDE_MAGNETOSPHERE`
  Nightside magnetosphere.
  `NIGHTSIDE_PLASMASPHERE`
  Nightside plasmasphere.
  `PLASMA_SHEET`
  Plasma sheet.
  `TAIL_LOBE`
  Tail Lobe.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `SpaceRegion(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpaceRegion`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static SpaceRegion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpaceRegion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INTERPLANETARY_MEDIUM

    public static final SpaceRegion INTERPLANETARY_MEDIUM
    Interplanetary medium.

  - ### DAYSIDE_MAGNETOSHEATH

    public static final SpaceRegion DAYSIDE_MAGNETOSHEATH
    Dayside magnetosheath.

  - ### NIGHTSIDE_MAGNETOSHEATH

    public static final SpaceRegion NIGHTSIDE_MAGNETOSHEATH
    Nightside magnetosheath.

  - ### DAYSIDE_MAGNETOSPHERE

    public static final SpaceRegion DAYSIDE_MAGNETOSPHERE
    Dayside magnetosphere.

  - ### NIGHTSIDE_MAGNETOSPHERE

    public static final SpaceRegion NIGHTSIDE_MAGNETOSPHERE
    Nightside magnetosphere.

  - ### PLASMA_SHEET

    public static final SpaceRegion PLASMA_SHEET
    Plasma sheet.

  - ### TAIL_LOBE

    public static final SpaceRegion TAIL_LOBE
    Tail Lobe.

  - ### LOW_LATITUDE_BOUNDARY_LAYER

    public static final SpaceRegion LOW_LATITUDE_BOUNDARY_LAYER
    Low-latitude boundary layer.

  - ### HIGH_LATITUDE_BOUNDARY_LAYER

    public static final SpaceRegion HIGH_LATITUDE_BOUNDARY_LAYER
    High-latitude boundary layer.

  - ### DAYSIDE_PLASMASPHERE

    public static final SpaceRegion DAYSIDE_PLASMASPHERE
    Dayside plasmasphere.

  - ### NIGHTSIDE_PLASMASPHERE

    public static final SpaceRegion NIGHTSIDE_PLASMASPHERE
    Nightside plasmasphere.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### SpaceRegion

    private SpaceRegion(String v)

- ## Method Details

  - ### values

    public static SpaceRegion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpaceRegion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static SpaceRegion fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.